# Python Circuit Breaker Box

A Python implementation of the Circuit Breaker pattern.

## Features

- 🚀 Implementations:
  - **Redis-based**
  - **In-memory**
- [![Python](https://img.shields.io/badge/Python-3776AB?style=for-the-badge&logo=python&logoColor=FFD43B)](https://python.org) 3.10-3.13 support.
- ⚡ Asynchronous API
- 🔧 Configurable parameters
- 🔄 Retries by [tenacity](https://tenacity.readthedocs.io/en/latest/)
- 🛠️ FastAPI integration through custom exceptions

## Installation
```bash
pip install circuit-breaker-box
```

## Usage
See -> [Examples](examples/)

## Development
### Commands
Use -> [Justfile](Justfile)
